Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2752293002: named_caches: make more resilient to corrupted state (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 1 week ago by nodir
Modified:
1 month, 3 weeks ago
Reviewers:
M-A Ruel
CC:
chromium-reviews, infra-reviews+luci-py_chromium.org
Target Ref:
refs/heads/master
Project:
luci-py
Visibility:
Public.

Description

named_caches: make more resilient to corrupted state A state file may be corrupted. Make CacheManager.open() purge cache dir if so. R=maruel@chromium.org BUG=702159 Review-Url: https://codereview.chromium.org/2752293002 Committed: https://github.com/luci/luci-py/commit/c497fefe848a225036b03dc7b44454c0c16a55d3

Patch Set 1 #

Patch Set 2 : nit #

Total comments: 3

Patch Set 3 : lint #

Unified diffs Side-by-side diffs Delta from patch set Stats (+19 lines, -4 lines) Patch
M client/named_cache.py View 1 2 1 chunk +9 lines, -4 lines 0 comments Download
M client/tests/named_cache_test.py View 2 chunks +10 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 20 (9 generated)
nodir
PTAL This does not address individual AIs in crbug.com/702159, but solves the underlying problem.
2 months, 1 week ago (2017-03-16 16:52:21 UTC) #2
M-A Ruel
https://codereview.chromium.org/2752293002/diff/20001/client/named_cache.py File client/named_cache.py (right): https://codereview.chromium.org/2752293002/diff/20001/client/named_cache.py#newcode75 client/named_cache.py:75: file_path.rmtree(self.root_dir) nit: I'd prefer the directory itself to not ...
2 months ago (2017-03-17 13:43:41 UTC) #3
nodir
https://codereview.chromium.org/2752293002/diff/20001/client/named_cache.py File client/named_cache.py (right): https://codereview.chromium.org/2752293002/diff/20001/client/named_cache.py#newcode75 client/named_cache.py:75: file_path.rmtree(self.root_dir) On 2017/03/17 13:43:41, M-A Ruel wrote: > nit: ...
2 months ago (2017-03-17 16:20:57 UTC) #4
M-A Ruel
https://codereview.chromium.org/2752293002/diff/20001/client/named_cache.py File client/named_cache.py (right): https://codereview.chromium.org/2752293002/diff/20001/client/named_cache.py#newcode75 client/named_cache.py:75: file_path.rmtree(self.root_dir) On 2017/03/17 16:20:56, nodir wrote: > On 2017/03/17 ...
2 months ago (2017-03-20 23:22:57 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2752293002/20001
2 months ago (2017-03-20 23:24:04 UTC) #7
commit-bot: I haz the power
Try jobs failed on following builders: Luci-py Presubmit on luci.infra.try (JOB_FAILED, https://luci-milo.appspot.com/swarming/task/3506f69ef8125010)
2 months ago (2017-03-20 23:57:12 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2752293002/40001
1 month, 4 weeks ago (2017-03-24 17:58:59 UTC) #12
commit-bot: I haz the power
Try jobs failed on following builders: Luci-py Presubmit on luci.infra.try (JOB_FAILED, https://luci-milo.appspot.com/swarming/task/351a66c27dbaef10)
1 month, 4 weeks ago (2017-03-24 18:32:28 UTC) #14
M-A Ruel
On 2017/03/24 18:32:28, commit-bot: I haz the power wrote: > Try jobs failed on following ...
1 month, 4 weeks ago (2017-03-24 18:35:16 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2752293002/40001
1 month, 3 weeks ago (2017-03-28 22:52:51 UTC) #17
commit-bot: I haz the power
1 month, 3 weeks ago (2017-03-28 22:56:27 UTC) #20
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://github.com/luci/luci-py/commit/c497fefe848a225036b03dc7b44454c0c16a55d3
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06